CDP REST APIAPI Reference
List Subscriptions
List provider-scoped subscription contracts from local synced subscription data.
GET /cdp/commerce/subscriptions lists local subscription contracts for your
brand. Subscription data is provider-scoped and includes Skio, ReCharge, and
Smartrr rows when connected. Deprecated BigCommerce data is excluded.
Requires the beta:cdp-commerce permission on your brand.
Query parameters
| Param | Type | Default | Description |
|---|---|---|---|
limit | integer | 25 | Page size, clamped to a maximum of 100. |
offset | integer | 0 | Offset; offset + limit must stay within the 10,000-row window or the request is rejected 400. |
status | string | — | One of pending, active, paused, cancelled, expired, failed. |
customer_email | string | — | Only subscriptions whose contact matches this email. |
customer_phone | string | — | Only subscriptions whose contact matches this phone. |
customer_id | string | — | Only subscriptions whose contact matches this Shopify customer id. |
Response 200
{
"list": [
{
"id": "sub-local-1",
"external_id": "sub-skio-1",
"provider": "skio",
"status": "active",
"next_billing_date": "2026-08-01T00:00:00.000Z",
"billing_interval": "month",
"billing_interval_count": 1,
"total_price": "49.00",
"currency_code": "USD",
"customer": { "contact_id": "c9f0…", "external_customer_id": "123" },
"product_refs": [
{ "product_id": "product-1", "variant_id": "variant-1", "title": "Skio Refill", "quantity": 2 }
],
"created_at": "2026-06-01T00:00:00.000Z"
}
],
"totalSize": 1,
"offset": 0,
"pageSize": 25,
"scope": "your-shop.myshopify.com",
"nextCursor": null
}Errors
| Status | When |
|---|---|
400 | Deep offset, or invalid status. |
401 | Missing or invalid credential. |
403 | Brand not enrolled in the commerce beta (beta_not_enabled), or no connected Shopify integration (integration_not_connected). |
405 | Non-GET method. |